/* Create SciTech Display Doctor Desktop objects */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* get current directory - Where SDD utilities are installed */
os2bootPath = SysSearchPath('PATH', 'os2boot')
if os2bootpath \= ''
then bootDrive = filespec('drive', os2bootPath)
else exit
sdddir=bootDrive || '\sdd'

CreateObjects:

/* Create the Scitech folder on Desktop */
Class='WPFolder'
Location='<WP_DESKTOP>'
ObjectID='<SCITECH_DESKTOP>'
Title='SciTech Display^Doctor 7.0'
SETUP='ICONVIEWPOS=16 44 56 23;ALWAYSSORT=YES;OPEN=NO;DISABLETOOLBAR=1;'

Call MakeObject

/* All other objects created in Scitech folder */
Location='<SCITECH_DESKTOP>'

/* Create Shadows */
Class='WPShadow'

Title='SYSTEM'
ObjectID='<SCITECH_SYSTEM>'
SETUP='SHADOWID=<WP_SYSTEM>;'
Call MakeObject

Title='readme.txt'
ObjectID='<SCITECH_README>'
SETUP='SHADOWID='sdddir'\readme.txt'
Call MakeObject

Title='changes.txt'
ObjectID='<SCITECH_CHANGES>'
SETUP='SHADOWID='sdddir'\changes.txt;'
Call MakeObject

Title='order.txt'
ObjectID='<SCITECH_ORDER>'
SETUP='SHADOWID='sdddir'\order.txt;'
Call MakeObject

/* Make URLs */
Class='WPUrl'

Title='Beta FTP site'
ObjectID='<SCITECH_FTP>'
SETUP='URL=ftp://ftp.scitechsoft.com/sdd/beta/os2/;'
Call MakeObject

Title='SciTech Marketplace^Consumer Products'
ObjectID='<SCITECH_MARKET>'
SETUP='URL=http://www.scitechsoft.com/Merchant/merchant.mv?Screen=CTGY&Store_Code=scitech&Category_Code=Consumer;'
Call MakeObject

/* Make Programs */
Class='WPProgram'

Title='Monitor Utility'
ObjectID='<SCITECH_GAMON>'
SETUP='EXENAME=CMD.EXE;'||,
	  'STARTUPDIR='sdddir';'||,
	  'PARAMETERS=/c (GAMON.EXE [Parameters for GAMON (-h for usage)] '||,
                  '> gamon.out & e.exe gamon.out );'||,
      'PROGTYPE=WINDOWABLEVIO;'
Call MakeObject

Title='Configuration^Program'
ObjectID='<SCITECH_GACTRL>'
SETUP='EXENAME='sdddir'\GACTRL.EXE;'||,
	  'STARTUPDIR='sdddir';'||,
      'PROGTYPE=FULLSCREEN;'
Call MakeObject

Title='Hardware^Report'
ObjectID='<SCITECH_REPORT>'
SETUP='EXENAME=cmd.exe;'||,
	  'STARTUPDIR='sdddir';'||,
      'PARAMETERS=/c (GAREPORT.EXE > gareport.out & start /f e.exe gareport.out);'||,
      'PROGTYPE=FULLSCREEN;'
Call MakeObject

Title='Performance Test'
ObjectID='<SCITECH_GAPERF>'
SETUP='EXENAME=CMD.EXE;'||,
	  'STARTUPDIR='sdddir';'||,
      'PARAMETERS=/c (GAPERF.EXE [enter: xrez yrez bits (nothing for '||,
                 'usage)] > gaperf.out & start /f e.exe gaperf.out);'||,
      'PROGTYPE=FULLSCREEN;'
Call MakeObject

Title='Registration^Tool'
SETUP='EXENAME='sdddir'\REGISTER.EXE;'||,
	  'STARTUPDIR='sdddir';'||,
      'PROGTYPE=WINDOWABLEVIO;'||,
      'NOAUTOCLOSE=YES;'
ObjectID='<SCITECH_REGISTER>'
Call MakeObject

exit

MakeObject:
	if SysCreateObject(Class,Title,Location,'OBJECTID='ObjectID';'||,
	   'TITLE='title';'SETUP,'U')<>1 then
	   Say '.failed!'
return
